package com.heyu.api.data.service.impl.order;


import com.heyu.api.data.entity.vv.VvTradeOrderLineEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.OrderStatusEnums;
import com.heyu.api.data.service.impl.AbstractOrderAction;

public class UnShippingAction extends AbstractOrderAction {
    @Override
    public ActionEnums getAction(VvTradeOrderLineEntity vvTradeOrderLineEntity, boolean isApp) {
        if (
                OrderStatusEnums.shipping.getStatus().equals(vvTradeOrderLineEntity.getStatus())
        ) {

            return ActionEnums.Admin_Un_Shipping;
        }
        return null;
    }
}
